<!-- Tabs -->
<div class="tabs-container">
  <button (click)="changeScope(scopesResearch.all)" [ngClass]="{'is-selected': selectedScope.key === scopesResearch.all.key}"
      [attr.aria-current]="selectedScope.key === scopesResearch.all.key ? 'page' : undefined">
    <span class="tab-label">{{ scopesResearch.all.label }}</span>
    <span class="tab-count">{{ countResults[scopesResearch.all.key] || 0 }}</span>
  </button>
  <button (click)="changeScope(scopesResearch.datasets)" [ngClass]="{'is-selected': selectedScope.key === scopesResearch.datasets.key}"
      [attr.aria-current]="selectedScope.key === scopesResearch.datasets.key ? 'page' : undefined">
    <span class="tab-label">{{ scopesResearch.datasets.label }}</span>
    <span class="tab-count">{{ countResults[scopesResearch.datasets.key] || 0 }}</span>
  </button>
  <button *ngIf="scopesResearch.services.label.length > 0" (click)="changeScope(scopesResearch.services)" [ngClass]="{'is-selected': selectedScope.key === scopesResearch.services.key}"
      [attr.aria-current]="selectedScope.key === scopesResearch.services.key ? 'page' : undefined">
    <span class="tab-label">{{ scopesResearch.services.label }}</span>
    <span class="tab-count">{{ countResults[scopesResearch.services.key] || 0 }}</span>
  </button>
  <button (click)="changeScope(scopesResearch.post)" [ngClass]="{'is-selected': selectedScope.key === scopesResearch.post.key}"
      [attr.aria-current]="selectedScope.key === scopesResearch.post.key ? 'page' : undefined">
    <span class="tab-label">{{ scopesResearch.post.label }}</span>
    <span class="tab-count">{{ countResults[scopesResearch.post.key] || 0 }}</span>
  </button>
</div>
